/***文档注释***********************************************
 * 作者            ：      易鑫
 * 创建日期     ：2018-02-6
 * 描述            ：成分试样信息主表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.JhySampleChemMMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_JHY_SAMPLE_CHEM_M", namespace=JhySampleChemMMapper.class)
public class JhySampleChemM extends BaseVO implements Serializable {

	/** 试样号 */
	@Id("SMP_NO")
	private String smpNo;

	/** 炉号 */
	@Column("HEAT_NO")
	private String heatNo;

	/** 批号/检验号 */
	@Column("BATCH_NO")
	private String batchNo;

	/** 母板号 */
	@Column("BOARD_NO")
	private String boardNo;

	/** 取样材料号 */
	@Column("MATERIAL_NO")
	private String materialNo;

	/** 产品规范码 */
	@Column
	private String psc;

	/** 产品规范描述 */
	@Column("PSC_DESC")
	private String pscDesc;

	/** 认证机构代码 */
	@Column("CERT_INST_CODE")
	private String certInstCode;

	/** 认证机构名称 */
	@Column("CERT_INST_NAME")
	private String certInstName;

	/** 试样类型代码 */
	@Column("SMP_TYPE_CODE")
	private String smpTypeCode;

	/** 试样类型名称 */
	@Column("SMP_TYPE_NAME")
	private String smpTypeName;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	public String getSmpNo() {
		return this.smpNo;
	}

	public String getHeatNo() {
		return this.heatNo;
	}

	public String getBatchNo() {
		return this.batchNo;
	}

	public String getBoardNo() {
		return this.boardNo;
	}

	public String getMaterialNo() {
		return this.materialNo;
	}

	public String getPsc() {
		return this.psc;
	}

	public String getPscDesc() {
		return this.pscDesc;
	}

	public String getCertInstCode() {
		return this.certInstCode;
	}

	public String getCertInstName() {
		return this.certInstName;
	}

	public String getSmpTypeCode() {
		return this.smpTypeCode;
	}

	public String getSmpTypeName() {
		return this.smpTypeName;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public void setSmpNo(String smpNo) {
		this.smpNo = smpNo;
	}

	public void setHeatNo(String heatNo) {
		this.heatNo = heatNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public void setBoardNo(String boardNo) {
		this.boardNo = boardNo;
	}

	public void setMaterialNo(String materialNo) {
		this.materialNo = materialNo;
	}

	public void setPsc(String psc) {
		this.psc = psc;
	}

	public void setPscDesc(String pscDesc) {
		this.pscDesc = pscDesc;
	}

	public void setCertInstCode(String certInstCode) {
		this.certInstCode = certInstCode;
	}

	public void setCertInstName(String certInstName) {
		this.certInstName = certInstName;
	}

	public void setSmpTypeCode(String smpTypeCode) {
		this.smpTypeCode = smpTypeCode;
	}

	public void setSmpTypeName(String smpTypeName) {
		this.smpTypeName = smpTypeName;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

}
